#!/bin/bash
#export HOST=`hostname | awk -F '.' '{ printf "%s", $1}'`
#export EXPERIMENT=`cat /var/emulab/boot/nickname | awk -F '.' '{ printf "%s", $2 }'`
HOST=`gawk -F . '{print $1}' /var/emulab/boot/nickname`
EXPERIMENT=`gawk -F . '{print $2}' /var/emulab/boot/nickname`
export NSPORT=45454
export NSHOST=`echo $HOST | sed s/node-[0-9]/node-1/g`
export NSREF=file://../node-1/ns.ior

echo starting Node_Manager...
$CIAO_ROOT/DAnCE/bin/dance_node_manager -n $HOST=nm.ior -s $CIAO_ROOT/bin/ciao_ft_componentserver --server-args "-host_id $HOST -hm_ior file://hm-$HOST.ior -ORBInitRef NameService=$NSREF -ORBEndpoint iiop://$HOST $@" -ORBInitRef NameService=$NSREF --domain-nc corbaloc:rir:/NameService --instance-nc corbaloc:rir:/NameService

#$CIAO_ROOT/DAnCE/bin/dance_node_manager -c $NSREF -n `hostname`=nm.ior -s $CIAO_ROOT/bin/ciao_ft_componentserver --server-args "-host_id $NSHOST -hm_ior file://hm-$HOST.ior -ORBInitRef NameService=$NSREF -ORBEndpoint iiop://$HOST -debug 3" -ORBInitRef NameService=$NSREF --domain-nc corbaloc:rir:/NameService --instance-nc corbaloc:rir:/NameService
