#!/bin/bash
HOST=`hostname | awk -F '.' '{ printf "%s", $1}'`
PROCESS=Beta
ROLE=1
NSPORT=45453
NSHOST=node-1.flare-no-lan.f6.isislab.vanderbilt.edu

$TAO_ROOT/orbsvcs/examples/FaultTolerance/FLARe/no-RT/server \
         -app_id $PROCESS \
         -role $ROLE \
         -load 40 \
         -proc_id $HOST-$PROCESS-$ROLE \
         -hm_ior file://hm-$HOST.ior \
         -n \
         -ORBInitRef NameService=corbaloc:iiop:$NSHOST:$NSPORT/NameService \
         -debug 3
         
