eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
    & eval 'exec perl -S $0 $argv:q'
    if 0;

# -*- perl -*-
#
# $Id$

use lib "$ENV{ACE_ROOT}/bin";
use PerlACE::TestTarget;


$hostname = `hostname`;
chomp $hostname;
# extract name before first dot and use it
$hostname =~ /(^.*?)\..*/;
if ($1) {
    $host = $1;
}
else {
    $host = $hostname;
}
$experiment = `cat /var/emulab/boot/nickname`;
chomp $experiment;
$experiment =~ /\.(.*)\./;
$experiment = $1;
$ns_endpoint = "file://../node-1/ns.ior";
$ns_initref = "-ORBInitRef NameService=$ns_endpoint";
$debug = "-debug 3";

$app_counter = 0;
$role = 1;
$iterations = 110;

@targets = ();
@servers = ();
@iors = ();

sub start_server
{
    my $appid = $_[0];
    my $ior = "$appid.ior";
    my $hmior = "hm-$host.ior";

    my $wk = PerlACE::TestTarget::create_target (++$app_counter) || die "creating Worker target failed\n";

    my $wk_hm_ior = $wk->LocalFile ($hmior);

    $WK = $wk->CreateProcess ("$ENV{TAO_ROOT}/orbsvcs/examples/FaultTolerance/FLARe/Worker/server",
                              "$ns_initref -hm_ior file://$hmior " . 
                              "-app_id $appid -role $role -load 10 -proc_id $host-$appid-$role " .
                              "-p $ior -i $iterations $debug");

    print "start Worker $appid $role ...\n";

    my $wk_status = $WK->Spawn ();

    if ($role == 1)
    {
        if ($wk->WaitForFileTimed ($ior,
                                   $wk->ProcessStartWaitInterval ()) == -1) {
            print STDERR "ERROR: Worker did not create file <$ior>\n";
            $WK->Kill (); $WK->TimedWait (1);
            exit 1;
        }
    }

    push (@targets, $wk);
    push (@servers, $WK);
    push (@iors, $ior);
}

foreach $app (@ARGV)
{
    start_server ($app);
}

for ($i =0; $i < @servers; ++$i)
{
    $servers[$i]->Wait ();
    $servers[$i]->Kill ();

    $targets[$i]->DeleteFile ($iors[$i]);

    print "Worker $ior finished.\n";
}
