#!/bin/bash
HOST=node-3
PROCESS=Worker
ROLE=2
NSPORT=45454
NSHOST=node-1

$TAO_ROOT/orbsvcs/examples/FaultTolerance/FLARe/RTCORBA/SimpleTask/server \
         -app_id $PROCESS \
         -role $ROLE \
         -load 40 \
         -proc_id $HOST-$PROCESS-$ROLE \
         -hm_ior file://hm-$HOST.ior \
         -ORBInitRef NameService=corbaloc:iiop:$NSHOST:$NSPORT/NameService \
         -ORBSvcConf worker.conf \
         -b 50 \
         -p $HOST-$PROCESS.ior
         
