#!/bin/bash
APPID=T0
RANK=1
FAIL=300

HOST=`hostname`
NSINIT=file://../node-1/ns.ior
$TAO_ROOT/orbsvcs/examples/FaultTolerance/FLARe/RTCORBA/ClientServer/server-rt \
         -app_id $APPID \
         -role $RANK \
         -load 40 \
         -proc_id $HOST-$APPID-$RANK \
         -hm_ior file://hm-$HOST.ior \
         -ORBInitRef NameService=$NSINIT \
         -ORBSvcConf ../svc.conf \
         -l ../three-lanes-with-best-effort \
         -b ../three-bands-with-best-effort \
         -p $APPID.ior \
         -i $FAIL
