#!/bin/bash
HOST=`hostname | awk -F '.' '{ printf "%s", $1}'`
NSHOST=`hostname`
NSPORT=45453
ROLE=1

echo starting NameService ...
$TAO_ROOT/orbsvcs/Naming_Service/Naming_Service -ORBEndpoint iiop://$NSHOST:$NSPORT &

sleep 1

echo starting ReplicationManager ...
export NSPORT=45453
export NSHOST=node-1.flare-no-lan.f6.isislab.vanderbilt.edu
$TAO_ROOT/orbsvcs/LWFT_Service/ReplicationManager \
  -ORBInitRef NameService=corbaloc:iiop:$NSHOST:$NSPORT/NameService \
  -use_ns \
  -hm_ior file://hm-$HOST.ior \
  -proc_id ReplicationManager-$HOST \
  -role $ROLE \
  -debug 3 &

sleep 3

#ospl start
echo starting HostMonitor ...
$TAO_ROOT/orbsvcs/LWFT_Service/HostMonitor -load_mon_freq 10 -rm_update_freq 1 -ior_file hm-$HOST.ior -util_file util-$HOST.dat -rm_name ReplicationManager -ORBInitRef NameService=corbaloc:iiop:$NSHOST:$NSPORT/NameService &