#!/bin/bash
HOST=`hostname | awk -F '.' '{ printf "%s", $1}'`
ROLE=1

echo starting ReplicationManager ...
export NSPORT=45453
export NSHOST=node-1.flare-no-lan.f6.isislab.vanderbilt.edu
$TAO_ROOT/orbsvcs/LWFT_Service/ReplicationManager \
  -ORBInitRef NameService=corbaloc:iiop:$NSHOST:$NSPORT/NameService \
  -use_ns \
  -hm_ior file://hm-$HOST.ior \
  -proc_id ReplicationManager-$HOST \
  -role $ROLE \
  -use_dds

