#!/bin/bash
HOST=`hostname | awk -F '.' '{ printf "%s", $1}'`
ROLE=2
NSPORT=45453
NSHOST=node-1.flare-no-lan.f6.isislab.vanderbilt.edu

echo starting ReplicationManager ...
$TAO_ROOT/orbsvcs/LWFT_Service/ReplicationManager \
  -ORBInitRef NameService=corbaloc:iiop:$NSHOST:$NSPORT/NameService \
  -use_ns \
  -hm_ior file://hm-$HOST.ior \
  -proc_id ReplicationManager-$HOST \
  -app_id ReplicationManager \
  -role $ROLE
