eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
    & eval 'exec perl -S $0 $argv:q'
    if 0;

# -*- perl -*-
#
# $Id$

use lib "$ENV{ACE_ROOT}/bin";
use PerlACE::TestTarget;

$iterations = 120;
$log_start = 100;
$period = 200;
$exectime = 20;

$hostname = `hostname`;
chomp $hostname;
# extract name before first dot and use it
$hostname =~ /(^.*?)\..*/;
$host = $1;
#$ns_endpoint = "iiop://node-1.flare-no-lan.f6.isislab.vanderbilt.edu:45452";
$ns_endpoint = "file://../node-1/ns.ior";
$ns_initref = "-ORBInitRef NameService=$ns_endpoint";
$hmior = "hm-$host.ior";
$app_counter = 0;

@clients = ();

sub start_client
{
    my $servername = $_[0];
    my $prefix = $_[1];
    my $serverior = "../node-2/$servername.ior";
    my $client = PerlACE::TestTarget::create_target (++$app_counter) || die "creating Worker target failed\n";

    my $client_hm_ior = $client->LocalFile ($hmior);

    my $cparam = "$ns_initref -l -s $servername -p file://$serverior " .
        "-r $period -e $exectime -i $iterations -f $prefix -n $log_start";

    my $CLIENT = $client->CreateProcess ("$ENV{TAO_ROOT}/orbsvcs/examples/FaultTolerance/FLARe/Worker/client",
                                         $cparam);
    
    print "start Client for $servername ...\n";

    my $client_status = $CLIENT->Spawn ();

    push (@clients, $CLIENT);
}

$counter = shift (@ARGV);

foreach my $app (@ARGV)
{
    start_client ($app, $counter);
}

foreach my $cl (@clients)
{
    $cl->Wait ();
    $cl->Kill ();

    print "Client finished ...\n";
}
